Bug 224124 - games/spring: fails to build with boost 1.66
Summary: games/spring: fails to build with boost 1.66
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-05 19:10 UTC by Jan Beich
Modified: 2018-03-03 22:49 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-05 19:10:05 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/games/spring
[...]
rts/System/FileSystem/Archives/SevenZipArchive.cpp:129:52: error: no member named 'get_system_category' in namespace 'boost::system'
                boost::system::error_code e(wres, boost::system::get_system_category());
                                                  ~~~~~~~~~~~~~~~^

http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/spring-98.0_9.log
Comment 1 commit-hook freebsd_committer 2018-03-03 22:41:58 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  3 22:40:57 UTC 2018
New revision: 463538
URL: https://svnweb.freebsd.org/changeset/ports/463538

Log:
  games/spring: unbreak with boost 1.66

  PR:		224124
  Obtained from:	upstream
  Approved by:	portmgr blanket

Changes:
  head/games/spring/Makefile
  head/games/spring/files/patch-boost-1.66
Comment 2 Jan Beich freebsd_committer 2018-03-03 22:49:05 UTC
Is this port really maintained? Spring had 6 releases after 98.0.